Bug 338996

Summary: CANVAS : Selection coordinates/size do not show either during selection or update when using selection area adjust controls [patch]
Product: digikam Reporter: Brenton Frahn <brenton.frahn>
Component: ImageEditor-CanvasAssignee: Digikam Developers <digikam-bugs-null>
Status: RESOLVED FIXED    
Severity: normal CC: caulier.gilles, metzpinguin
Priority: NOR    
Version: 4.2.0   
Target Milestone: ---   
Platform: Fedora RPMs   
OS: Linux   
Latest Commit: Version Fixed In: 4.6.0
Attachments: selection.patch

Description Brenton Frahn 2014-09-11 02:22:23 UTC
Opened DigiKam and right clicked over image and selected Edit. Clicked-dragged area to select area but coordinates/size of selection area at bottom of Edit window does not show until mouse button is released. Furthermore coordinates/size of selection area does not update when using the selection area re-sizing controls located in the corners/sides of the selection area

Reproducible: Always

Steps to Reproduce:
1. Opened DigiKam 
2. Right clicked over image and selected Edit
2. Using mouse clicked-dragged area for selection (want to crop)


Actual Results:  
Coordinates/size of selection area does not appear

Expected Results:  
Coordinates of selection area appear and size of selected area automatically updates

If I use the re-sizing tabs located in the corners/side of the selected area, the coordinates/size of selection area does not update
Comment 1 Maik Qualmann 2014-11-25 18:28:15 UTC
Created attachment 89724 [details]
selection.patch

I have created a patch for this bug.
After creating a selection and move or during sizes change, the status bar text is updated.
The histogram is updated after release the mouse button.
Comment 2 caulier.gilles 2014-11-25 20:45:48 UTC
Git commit b1723489f494805f22022440c00572ff55d04b01 by Gilles Caulier.
Committed on 25/11/2014 at 20:44.
Pushed by cgilles into branch 'master'.

Apply patch #89724 from Maik Qualmann to update corrdinates/size and histogram when canvas selection is changed.
FIXED-IN: 4.6.0

M  +2    -1    NEWS
M  +10   -1    utilities/imageeditor/editor/editorwindow.cpp
M  +1    -0    utilities/imageeditor/editor/editorwindow.h
M  +13   -0    utilities/imageeditor/widgets/canvas.cpp
M  +2    -0    utilities/imageeditor/widgets/canvas.h
M  +6    -0    utilities/imageeditor/widgets/rubberitem.cpp
M  +1    -0    utilities/imageeditor/widgets/rubberitem.h

http://commits.kde.org/digikam/b1723489f494805f22022440c00572ff55d04b01
Comment 3 caulier.gilles 2014-11-25 20:48:58 UTC
Thanks Maik to contribute in the way to improve and fixe Qt4 model/view port of image editor Canvas.

Note : there are other entries about image editor to review, if you have time to continue. Look here for details :

https://techbase.kde.org/Projects/Digikam/CodingSprint2014#Image_Editor_Model.2FView_Fixes_and_Finalization

Thanks in advance

Gilles Caulier
Comment 4 Maik Qualmann 2014-11-26 21:35:46 UTC
Yes, I will be watching.
Comment 5 caulier.gilles 2014-11-26 22:00:43 UTC
Thanks a lots. I very appreciate your help.

If you need some guidance, don't hesitate...

Gilles